<?php

namespace App\Dto;

use JsonSerializable;
use Ramsey\Collection\AbstractCollection;

/** Переопределенная коллекция, что бы можно было сериалайзить коллекции */
class DtoCollection extends AbstractCollection implements JsonSerializable
{
    public function __construct(
        private readonly string $collectionType,
        array $data = []
    ) {
        parent::__construct($data);
    }

    /** @return string */
    public function getType(): string
    {
        return $this->collectionType;
    }

    /** Метод для сериализации коллекции в JSON */
    public function jsonSerialize(): array
    {
        return $this->data;
    }
}
